Bug 46181 - Setup misuse Simplified Chinese in Traditional Chinese Windows (Hong Kong)
Summary: Setup misuse Simplified Chinese in Traditional Chinese Windows (Hong Kong)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Andras Timar
QA Contact:
URL:
Whiteboard: target:3.6.0 target:3.5.1
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-16 08:51 UTC by km307
Modified: 2012-04-05 08:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description km307 2012-02-16 08:51:34 UTC
This bug had been previously reported at Bug 38256 and 32335. The latest said the new LO 3.5 will use another installation package (and hopefully have it fixed).

However, after trying LO3.5, the same problem still occur. Even worst, the new installation package cannot be decompress first and have the setup modified, therefore, there is no way to install the LO3.5 in the computer now.

I suggest the ultimate way to fix it for good is to add setup language selection choice in the setup rather then simply trust whatever the installation "think" what it should be.
Comment 1 Andras Timar 2012-02-17 04:30:22 UTC
Bug 32335 was a different issue (related to NSIS, which has gone).
Bug 38256 was also a different issue, there the MSI installer used the right language (zh-TW).

Setup language selection is asked by many users, but it will not be ready any time soon. For 3.5.x releases I need to find out why Windows thinks that Traditional Chinese (Hong Kong) should fall back to Simplified Chinese (PRC).

You can start Traditional Chinese installer manually with the following command:

msiexec /i LibO_3.5.0_Win_x86_install_multi.msi TRANSFORMS=:1028
Comment 2 km307 2012-02-19 07:39:48 UTC
Thank you for the quick work around.
But if I would like to install it with English, what switches should be use?
Comment 3 Andras Timar 2012-02-26 02:02:34 UTC
(In reply to comment #2)
> Thank you for the quick work around.
> But if I would like to install it with English, what switches should be use?

msiexec /i LibO_3.5.0_Win_x86_install_multi.msi TRANSFORMS=:2057 

It will be en-GB. For en-US there is no transform. Alternatively you can set your regional settings to USA when you install LibreOffice.
Comment 4 Not Assigned 2012-03-02 01:57:39 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0f56302890e2f587dfc0230a0445199db97b4ffd

fdo#46181 Use Traditional Chinese installer for zh-HK and zh-MO locales
Comment 5 Not Assigned 2012-03-02 03:01:43 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e90465a5316f65972bc3c6520106be0d5e5205ac&g=libreoffice-3-5

fdo#46181 Use Traditional Chinese installer for zh-HK and zh-MO locales


It will be available in LibreOffice 3.5.2.
Comment 6 Not Assigned 2012-03-02 04:13:52 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-3-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b233485a3ef2e0acb65032945e46eb3d20dbc3d9&g=libreoffice-3-5-1

fdo#46181 Use Traditional Chinese installer for zh-HK and zh-MO locales


It will be available already in LibreOffice 3.5.1.
Comment 7 Rainer Bielefeld Retired 2012-04-05 08:05:57 UTC
I added Fix submitter as assignee because this will ease queries and bug tracking.